## com.mysql.jdbc
Class EscapeProcessorResult

    java.lang.Object
      com.mysql.jdbc.EscapeProcessorResult

     class EscapeProcessorResult

extends java.lang.Object

Wraps output from EscapeProcessor, to help prevent multiple passes over the query string, to detect characters such as '@' (defining/using a variable), which are used further up the call stack to handle failover.

Field Summary
`(package private) boolean` `callingStoredFunction`
`(package private) java.lang.String` `escapedSql`
`(package private) byte` `usesVariables`

Constructor Summary
`EscapeProcessorResult()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callingStoredFunction

    boolean callingStoredFunction

### escapedSql

    java.lang.String escapedSql

### usesVariables

    byte usesVariables

Constructor Detail

### EscapeProcessorResult

    EscapeProcessorResult()